Package com.ads.mm.etl.xml.mapping

# Class MMColumnMap

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<K,V>
java.util.LinkedHashMap<String,MMDBColumn>
com.ads.mm.etl.xml.mapping.MMColumnMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,MMDBColumn>`

public class MMColumnMap extends LinkedHashMap<String,MMDBColumn>

Author:
  Syed Abdul Rahim
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMColumnMap(MMMappingUtil mappingUtil)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MMDBColumn`
  `addColumn(MMDBColumn mmdbColumn)`
  `MMDBColumn`
  `addColumn(String columnName)`
  `MMDBColumn`
  `findColumn(String columnName)`
  `MMDBColumn`
  `findColumn(String columnName, String xPath)`
  `String`
  `toString()`
  `void`
  `toString(StringBuilder sbu)`

  ### Methods inherited from class java.util.LinkedHashMap

  `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

  ### Methods inherited from class java.util.HashMap

  `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- ## Constructor Details

  - ### MMColumnMap

    public MMColumnMap(MMMappingUtil mappingUtil)

- ## Method Details

  - ### findColumn

    public MMDBColumn findColumn(String columnName)

  - ### findColumn

    public MMDBColumn findColumn(String columnName, String xPath)

  - ### addColumn

    public MMDBColumn addColumn(String columnName)

  - ### addColumn

    public MMDBColumn addColumn(MMDBColumn mmdbColumn)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractMap<String,MMDBColumn>`

  - ### toString

    public void toString(StringBuilder sbu)